#!/usr/bin/env python

from os import listdir
from distutils.core import setup

setup(name='Momail',
      version='0.1',
      description='Nokia S60 phones sms browser and backup utility',
      license='GPL',
      author='Pietro Battiston',
      author_email='toobaz@email.it',
      url='http://www.pietrobattiston.it/momail',
      scripts=['momail'],
      py_modules=['momail_ui'],
      data_files=[('share/momail/stuff', ['stuff/momail.svg', 'stuff/main.glade', 'stuff/store.glade']),
				  ('share/pixmaps', ['stuff/momail.svg']),
				  ('share/applications', ['stuff/momail.desktop'])]+
					[('share/locale/'+lang+'/LC_MESSAGES/', ['locale/'+lang+'/LC_MESSAGES/momail.mo'] ) for lang in listdir('locale')],
      classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: X11 Applications :: GTK',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Topic :: Communications :: Telephony',
        'Topic :: Utilities',
        ]    
     )
